<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">


    <body>
        <f:loadBundle basename="org.inra.ecoinfo.acbb.extraction.jsf.extraction-jsf" var="extraction_jsf" />
            <f:loadBundle basename="org.inra.ecoinfo.acbb.extraction.biomasse.jsf.biomasse-jsf" var="extractionBiomassePanel"/>
        <ui:decorate template="/templates/extraction/template.xhtml">
            <ui:param name="title" value="#{extractionBiomassePanel.PROPERTY_MSG_TITLE}" />
            <ui:param name="titleExtraction"  value="#{extractionBiomassePanel.PROPERTY_MSG_TITLE_EXTRACTION}" />
            <ui:param name="introMain" value="#{extractionBiomassePanel.PROPERTY_MSG_INTRO_MAIN}" />
            <ui:param name="uiBean" value="#{uiBiomasse}" />
            <ui:param name="library" value="css/biomasse" />
            <ui:define name="togglePanelItems">
                <p:tab title="#{extraction_jsf.PROPERTY_MSG_CHOICE_DATES_STEP}#{extractionBiomassePanel.PROPERTY_MSG_TITLE_EXTRACTION}" >
                    <ui:include src="/templates/extraction/panels/datesChoiceStep.xhtml">
                        <ui:param name="css" value="jsf-datesChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="1" />
                    </ui:include>
                </p:tab>
                <p:tab title="#{extraction_jsf.PROPERTY_MSG_CHOICE_TREATMENT_STEP}" >
                    <ui:include
                        src="/templates/extraction/panels/treatmentChoiceStep.xhtml">
                        <ui:param name="css" value="jsf-treatmentChoiceStep-styles.css"/>
                        <ui:param name="panelNumber" value="2"/>
                    </ui:include>
                </p:tab>
                <p:tab title="#{extraction_jsf.PROPERTY_MSG_CHOICE_VARIABLE_STEP}"
                       >
                    <ui:include
                        src="/templates/extraction/panels/variableChoiceStep.xhtml">
                        >
                        <ui:param name="css" value="jsf-variablesChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="3" />
                    </ui:include>
                </p:tab>
                <p:tab title="#{extraction_jsf.PROPERTY_MSG_CHOICE_FILECOMP_STEP}">
                    <ui:include src="/templates/extraction/panels/associateChoiceStep.xhtml">
                        <ui:param name="css" value="jsf-associateChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="4" />
                    </ui:include>
                </p:tab>
            </ui:define>
            <ui:define name="accordionItems">
                <p:tab title="#{extraction_jsf.PROPERTY_MSG_CHOICE_DATES_STEP}" >
                    <ui:include
                        src="/templates/extraction/accordionItems/datesAccordionItem.xhtml"
                        >
                        <ui:param name="titleForDatesAccordionItem"
                                  value="#{extraction_jsf.PROPERTY_MSG_ACCORDION_DATES_STEP}"
                                  />
                    </ui:include>
                </p:tab>
                <p:tab title="#{extraction_jsf.PROPERTY_MSG_CHOICE_TREATMENT_STEP}"
                       disabled="#{not uiBean.uiTreatment.traitementStepIsValid}">
                    <ui:include
                        src="/templates/extraction/accordionItems/treatmentAccordionItem.xhtml">
                        <ui:param name="titleForTreatmentAccordionItem"
                                  value="#{extraction_jsf.PROPERTY_MSG_ACCORDION_TREATMENT_STEP}"/>
                    </ui:include>
                </p:tab>
                <p:tab title="#{extraction_jsf.PROPERTY_MSG_CHOICE_VARIABLE_STEP}"
                       >
                    <ui:include
                        src="/templates/extraction/accordionItems/variablesAccordionItem.xhtml">
                        >
                        <ui:param name="titleForVariablesAccordionItem"
                                  value="#{extraction_jsf.PROPERTY_MSG_ACCORDION_VARIABLE_STEP}"
                                  />
                    </ui:include>
                </p:tab>
                <p:tab title="#{extraction_jsf.PROPERTY_MSG_CHOICE_FILECOMP_STEP}"
                       disabled="#{not uiBean.uiVariable.variableStepIsValid}">
                    <ui:include
                        src="/templates/extraction/accordionItems/associateAccordionItem.xhtml">
                        <ui:param name="titleForAssociateAccordionItem"
                                  value="#{extraction_jsf.PROPERTY_MSG_ACCORDION_FILECOMP_STEP}" />
                    </ui:include>
                </p:tab>
            </ui:define>
        </ui:decorate>
    </body>
</html>